import socket
import sys
import time
from struct import *


# create an ipv4 (AF_INET) socket object using the tcp protocol (SOCK_DGRAM)
ip_address=sys.argv[1]
peer = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)


#counter, counting # of messages sent to server
c_number=0
buff_overf=0
#maximum amount of numbers willing to send to destination server (cli arg)
max_nr_messages=sys.argv[2]
print 'Will try and send ' + max_nr_messages + ' number to my buddy'
while (c_number < int(max_nr_messages)):
	# send some data (in this case a HTTP GET request)
	c_number+=1
	net_byte=pack('i', c_number)
	sent = peer.sendto(net_byte, (ip_address, 10000))
	if(sent <= 0 ):
		buff_overf+=1
	print 'sent number: ' + str(c_number)


#should advertise end of session (denoted by -1)
peer.sendto(pack('i', -1), (ip_address, 10000))
peer.close()
print "Tried to send a total number of " + str(c_number) + " numbers to my buddy "
print "Total number of messages effectively sent " + str(c_number-buff_overf)
