import socket
from random import randint

# create an ipv4 (AF_INET: Internet Protocol v4) socket object using the tcp protocol (SOCK_STREAM)

client = socket.socket(socket.AF_INET, socket.SOCK_STREAM)

# connect the client
# client.connect((target_ipv4, port))
client.connect(('0.0.0.0', 10000))

rnd_number = randint(0, 1000)

print 'Sending challenge ' + str(rnd_number)

# send some data (in this case a HTTP GET request)
client.send('Challenge: ' + str(rnd_number))

# receive the response data (4096 is recommended buffer size)
response = client.recv(4096)

print response
